org.codehaus.groovy.util

## Class ListHashMap<K,V>

- java.lang.Object
- - org.codehaus.groovy.util.ListHashMap<K,V>

All Implemented Interfaces:
  java.util.Map<K,V>

    public class ListHashMap<K,V>
    extends java.lang.Object
    implements java.util.Map<K,V>

This class represents a `Map` that is optimized for a small number of entries. For a number of entries up to `listSize` the entries are stored in arrays. After `listSize` entries are exceeded storage switches internally to a `Map` and converts back to being array based when its size is less than or equal to `listSize`. Null keys or values are not supported. This class is not thread safe.

Author:
  Jochen "blackdrag" Theodorou

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`ListHashMap()`
`ListHashMap(int listSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`boolean` `containsKey(java.lang.Object key)`
`boolean` `containsValue(java.lang.Object value)`
`java.util.Set<java.util.Map.Entry<K,V>>` `entrySet()`
`V` `get(java.lang.Object key)`
`boolean` `isEmpty()`
`java.util.Set<K>` `keySet()`
`V` `put(K key, V value)`
`void` `putAll(java.util.Map<? extends K,? extends V> m)`
`V` `remove(java.lang.Object key)`
`int` `size()`
`java.util.Collection<V>` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### ListHashMap

    public ListHashMap()

#### ListHashMap

    public ListHashMap(int listSize)

### Method Detail

#### clear

    public void clear()

Specified by:
  `clear` in interface `java.util.Map<K,V>`

#### containsKey

    public boolean containsKey(java.lang.Object key)

Specified by:
  `containsKey` in interface `java.util.Map<K,V>`

#### containsValue

    public boolean containsValue(java.lang.Object value)

Specified by:
  `containsValue` in interface `java.util.Map<K,V>`

#### entrySet

    public java.util.Set<java.util.Map.Entry<K,V>> entrySet()

Specified by:
  `entrySet` in interface `java.util.Map<K,V>`

#### get

    public V get(java.lang.Object key)

Specified by:
  `get` in interface `java.util.Map<K,V>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `java.util.Map<K,V>`

#### keySet

    public java.util.Set<K> keySet()

Specified by:
  `keySet` in interface `java.util.Map<K,V>`

#### put

    public V put(K key,
                 V value)

Specified by:
  `put` in interface `java.util.Map<K,V>`

#### putAll

    public void putAll(java.util.Map<? extends K,? extends V> m)

Specified by:
  `putAll` in interface `java.util.Map<K,V>`

#### remove

    public V remove(java.lang.Object key)

Specified by:
  `remove` in interface `java.util.Map<K,V>`

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Map<K,V>`

#### values

    public java.util.Collection<V> values()

Specified by:
  `values` in interface `java.util.Map<K,V>`